#!/usr/bin/env python3
#
# CITL Function sample 
# -------------------
# Copyright (C) 2020  Lineo Solutions, Inc.
#

import sys
import time

from CITL_LinuxPy import *

# Global Counter
gusDataBuf_W =[0]

# Called Function from CPU module
def func(pusReqData, pusReqSize, pusAnsData, pusAnsSize):

    ulTargetAddr = 16284
    sRet = CITL_ToBuf(ulTargetAddr, 1, gusDataBuf_W, 0)
    print("CITL_ToBuf Executed sRet ={}\n".format(sRet));
    gusDataBuf_W[0]+=1

    return



def main():
    CountMax = 5
    
    # Init CITL Function
    CITLAppInit()

    # Entry function
    sRet = CITL_EntryDedicatedInstFunc(func)

    # If gusDataBuf_W[0] exceeds CountMax, this program is finished
    while(1):
        if gusDataBuf_W[0] > CountMax:
            break
        time.sleep(1)

    return
    

if __name__ == '__main__':
    main()
