#!/usr/bin/env python3
#
# CITL MDR Function sample 
# -------------------
# Copyright (C) 2020  Lineo Solutions, Inc.
#

import sys
import time

from CITL_LinuxPy import *


def main():
    lPath = []

    # Init MDR Function
    mdrAppInit()

    # Communication Channel Open
    sCommCh = 12
    lCommTimeout = 100
    sRet = mdrOpen(sCommCh, -1, lPath, lCommTimeout)
    if sRet != 0:
        print("mdrOpen Failed {}\n".format(sRet))
        return -1

    # Write Data to D0
    lSize = [2]
    sData_W = [0xFFFF]
    DevD = 13
    sRet = mdrSend(lPath[0], 4, 0, 0, 0, 0, DevD, 0, lSize, sData_W)
    if sRet != 0:
        print("mdrSend Failed {}\n".format(sRet))
        return -1
        
    # Read Data from D0
    lSize = [2]
    sData_R = []
    sRet = mdrReceive(lPath[0], 4, 0, 0, 0, 0, DevD, 0, lSize, sData_R)
    if sRet != 0:
        print("mdrReceive Failed {}\n".format(sRet))
        return -1
    
    print("D0 = {}\n".format(sData_R))

    # Close Channel
    sRet = mdrClose(lPath[0])
    if sRet != 0:
        print("mdrClose Failed {}\n".format(sRet))
        return -1
    
    return 0


if __name__ == '__main__':
    main()
